import request from '@/utils/request'

// 查询同步知识点树列表
export function listLearnKnowledgeCourse(query) {
  return request({
    url: '/learn/learnKnowledgeCourse/list',
    method: 'get',
    params: query
  })
}

// 查询同步知识点树详细
export function getLearnKnowledgeCourse(id) {
  return request({
    url: '/learn/learnKnowledgeCourse/' + id,
    method: 'get'
  })
}

// 新增同步知识点树
export function addLearnKnowledgeCourse(data) {
  return request({
    url: '/learn/learnKnowledgeCourse',
    method: 'post',
    data: data
  })
}

// 修改同步知识点树
export function updateLearnKnowledgeCourse(data) {
  return request({
    url: '/learn/learnKnowledgeCourse',
    method: 'put',
    data: data
  })
}

// 删除同步知识点树
export function delLearnKnowledgeCourse(id) {
  return request({
    url: '/learn/learnKnowledgeCourse/' + id,
    method: 'delete'
  })
}
